跳转到内容

Meshy 6 Retexture

集成

模型 id meshy/v6/retexture
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.30 300 API 积分 在此页面运行

获取 API 密钥
Meshy 3D 4K 输出 #3d#3d-to-3d#textures#pbr

从文本提示词或样式图像为上传的 3D 模型重新制作纹理,可选 PBR 贴图和最高 8k 纹理

Meshy · 3D

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

texture_resolution 默认 2k

基础色分辨率选项为 2k (2048)、4k (4096) 和 8k (8192)。选择 8k 会将 PBR 贴图限制为 4k,并省略发光贴图;8k 和 4k 仅适用于 Meshy 6 或 7。

•必填

用于纹理处理的 3D 模型源,可提供公开可访问的 URL,或使用 application/octet-stream 作为 MIME 类型的 base64 data URI。接受的文件扩展名为 .glb、.gltf、.obj、.fbx 和 .stl。

高级 text_style_prompt · image_style_url · enable_original_uv · enable_pbr · enable_safety_checker
0 / 600

纹理样式文本;在没有 image_style_url 时必需,且限制为 600 个字符。

拖放文件,或

提供 image_style_url 时优先于 text_style_prompt 的 2D 纹理参考图。若没有 text_style_prompt,请提供此图像;支持的文件类型为 .jpg、.jpeg 和 .png。

POST /run/meshy/v6/retexture?wait=20 报价 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Meshy 6 Retexture

替换现有网格的表面纹理,支持 .glb、.gltf、.obj、.fbx 或 .stl 格式。样式来自 `text_style_prompt`(最多 600 个字符)或 `image_style_url`;两者同时提供时以后者为准。`texture_resolution`可设为 2k、4k 或 8k,`enable_pbr`会添加金属度、粗糙度和法线贴图,`enable_original_uv`会保留模型的 UV 布局。输出包括 GLB、其他格式、纹理和缩略图。

参数

名称类型 默认值允许值 描述
model_url必填
类型string
用于纹理处理的 3D 模型源,可提供公开可访问的 URL,或使用 application/octet-stream 作为 MIME 类型的 base64 data URI。接受的文件扩展名为 .glb、.gltf、.obj、.fbx 和 .stl。
text_style_prompt可选
类型string | null
≤ 600 个字符
纹理样式文本;在没有 image_style_url 时必需,且限制为 600 个字符。
image_style_url可选
类型url · image
提供 image_style_url 时优先于 text_style_prompt 的 2D 纹理参考图。若没有 text_style_prompt,请提供此图像;支持的文件类型为 .jpg、.jpeg 和 .png。
texture_resolution可选
类型enum
默认值2k
2k4k8k
基础色分辨率选项为 2k (2048)、4k (4096) 和 8k (8192)。选择 8k 会将 PBR 贴图限制为 4k,并省略发光贴图;8k 和 4k 仅适用于 Meshy 6 或 7。
enable_original_uv可选
类型boolean
默认值true
启用此选项可保留 UV,而不是重新生成 UV。对于缺少原始 UV 映射的模型,启用此选项可能会降低质量。
enable_pbr可选
类型boolean
默认值false
控制是否在基础色旁生成金属度、粗糙度和法线 PBR 贴图。
enable_safety_checker可选
类型boolean
默认值true
预处理安全检查开关:true 表示必须先通过输入安全检查才能处理。
必填

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/v6/retexture",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "blend": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "stl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "texture_urls": [
      {
        "base_color": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "metallic": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "normal": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "roughness": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "text_style_prompt": "red and black chest",
    "image_style_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
model_glb
object {url, content_type, file_name, file_size}带有更新纹理的 GLB 格式 3D 对象。
thumbnail
object {url, content_type, file_name, file_size} | null显示重新纹理后模型预览的缩略图。
model_urls
object {glb, fbx, obj, usdz, blend, stl}指向各种格式 3D 模型的链接。
texture_urls
array of object {base_color, metallic, normal, roughness}以对象数组表示的纹理文件。
text_style_prompt
string | null实际使用的纹理提示词(如已提供)。
image_style_url
string | null实际使用的纹理图像 URL(如已提供)。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/meshy/v6/retexture.md. 所有模型和指南: https://doitong.com/developers/llms.txt